Name:           wgrib2
Version:        3.1.2
Release:    1%{?dist}
Summary:        Manipulate, inventory and decode GRIB2 files

License:        GPLv2+
URL:            http://www.cpc.ncep.noaa.gov/products/wesley/wgrib2/
Source0:        http://ftp.cpc.ncep.noaa.gov/wd51we/wgrib2/wgrib2_nolib.tgz.v%{version}
Source1:        config.h
Patch0:         wgrib2-nogctpc.patch
Patch1:         wgrib2-jasper-2.patch
Patch2:         wgrib2-2.0.8-jasper3-use-wrapper-entry-point.patch

BuildRequires:  make
BuildRequires:  g2clib-static
BuildRequires:  hdf5-devel
BuildRequires:  libaec-devel
BuildRequires:  mariadb-connector-c-devel
BuildRequires:  netcdf-devel
BuildRequires:  proj-devel
BuildRequires:  zlib-devel

%description
Wgrib2 is a swiss army knife for grib2 files. You can use it inventory or
extract data. You can do basic database operations and other nifty things.


%prep
%setup -q -n grib2
%patch -P 0 -p1 -b .nogctpc
%patch -P 1 -p1 -b .jasper2
%patch -P 2 -p1 -b .jasper3

rm wgrib2/fnlist.c
rm -r wgrib2/{Gctpc,gctpc_ll2xy,new_grid_lambertc}.[ch]
cp %SOURCE1 wgrib2/config.h


%build
cd wgrib2
export CFLAGS="-I.. -I%{_includedir}/netcdf -I%{_includedir}/mysql $RPM_OPT_FLAGS -fopenmp"
export LDFLAGS="-l%{g2clib} -ljasper -lnetcdf -lpng -lmysqlclient -lsz -lz -lm -fopenmp"
%make_build fnlist.c
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
install wgrib2/wgrib2 %{buildroot}%{_bindir}/wgrib2


%files
%doc README wgrib2/LICENSE-wgrib2
%{_bindir}/wgrib2


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.1.2-1
- initial build
